Index: /trunk/tssh/make-package-debian
===================================================================
--- /trunk/tssh/make-package-debian	(revision 428)
+++ /trunk/tssh/make-package-debian	(revision 429)
@@ -38,17 +38,20 @@
 Package: ${PKG_NAME}
 Version: ${CODE_VERSION}-${PKG_VERSION}
-Section: utils
-Tag: implemented-in::bash, interface::commandline, role::program
+Section: admin
+Tag: admin::cluster, implemented-in::bash, interface::commandline, interface::text-mode, network::client, protocol::ssh, role::program, use::login
 Priority: optional
-Depends: tmux, openssh-client, ncurses-bin, findutils, grep
+Depends: tmux, openssh-client, ncurses-bin, findutils, grep, wamerican | wfrench
 Suggests: nmap, parallel
 Architecture: all
 Installed-Size: $(du -ks ${tmp_folder}|cut -f 1)
 Maintainer: Gabriel Moreau <Gabriel.Moreau@univ-grenoble-alpes.fr>
-Description: tmux cluster ssh
+Description: administer multiple ssh shells simultaneously with tmux
  tssh is an acronym for tmux ssh.
  In practise, tssh is an ncurve version of cluster-ssh.
  It has been used in the LEGI laboratory for over 5 years.
- tssh is a small tool to luanch command over many computers.
+ tssh is a small tool to launch command over many computers.
+ It allows you to control multiple ssh sessions from a single input window.
+ You can also configure clusters of machines for easy invocation
+ and interact with individual terminal windows during a session.
  .
  The tool is quite effective and tries to keep things simple.
@@ -74,3 +77,4 @@
 echo "( cd /srv/www/debian/ ; reprepro includedeb jessie   ~/jessie/${PKG_NAME}_${CODE_VERSION}-${PKG_VERSION}_all.deb )"
 echo "( cd /srv/www/debian/ ; reprepro includedeb stretch ~/stretch/${PKG_NAME}_${CODE_VERSION}-${PKG_VERSION}_all.deb )"
+echo "( cd /srv/www/debian/ ; reprepro includedeb buster   ~/buster/${PKG_NAME}_${CODE_VERSION}-${PKG_VERSION}_all.deb )"
 echo "( cd /srv/www/debian/ ; reprepro dumpreferences ) | grep -i tssh"
Index: /trunk/tssh/tssh
===================================================================
--- /trunk/tssh/tssh	(revision 428)
+++ /trunk/tssh/tssh	(revision 429)
@@ -11,5 +11,5 @@
 export LANG=C
 
-VERSION='0.3.1'
+VERSION='0.3.2'
 
 function usage() {
@@ -297,42 +297,4 @@
  tssh [-w number] [-f] [-v] [-h] [-p] [-d delay_time] [-c remote_cmd] [-o ssh_option] <host1> <host2> <clusterssh class>... <hostM>- <hostN>+
 
-=head1 OPTIONS
-
-=head2 C<-w number> 
-
-Windows to open (integer, default 16)
-
-=head2 C<-o ssh_option>
-
-Option to pass to ssh
-
-=head2 C<-f>
-
-Fast, no nmap scan to eliminate sleeping computer
-
-=head2 C<-d delay_time>
-
-When use C<tmux> context,
-add a small delay in second before lauching the second shell
-to let C<tmux> the time to open the window (default 0.8).
-
-=head2 C<-c remote_cmd>
-
-Launch the remote command on hosts and exit
-
-=head2 C<-p>
-
-Launch in parallel (only with option C<-c>) with command parallel or xargs
-
-=head2 C<-v>
-
-Verbose
-
-=head2 C<-h>
-
-Minimal help
-
-
-
 =head1 DESCRIPTION
 
@@ -347,14 +309,6 @@
 A host or a class can be remove from the list with a dash append
 and force to be in this one with a plus append.
-Example with the cluster ssh config below:
-
- tssh all team- node005 laptop04+
-
-Is equivalent to:
-
- tssh srv-mail srv-dns srv-imap srv-web srv-proxy \\
-   node001 node002 node003 node004 \\
-   node101 node102 node103 node104 \\
-   node005 laptop04
+
+See some L<Example> below.
 
 The control command for C<tmux> is C<Ctrl^b>.
@@ -362,21 +316,41 @@
 and move between machine with C<Ctrl^b ArrowKey>.
 
-=head1 DEPENDS
-
-On Debian, you need the package
-
- apt-get install tmux ncurses-bin wamerican nmap
-
-C<wamerican> (or C<wfrench>...) is used to choose a random word in the file F</usr/share/dict/words>
-for each new tmux session.
-
-C<ncurses-bin> is required for the C<tput> command
-to automatically split your terminal into several small panels.
-C<nmap> is only used for dynamic DNS domain and dynamic scan.
-This is not mandatory for general use.
-
-By default, C<tssh> use C<tput> to know the number of columns and lines of your terminal.
-It takes 10 lines and 40 columns for each windows by default.
-If C<tput> is not installed, the default is 16 windows...
+
+=head1 OPTIONS
+
+=head2 C<-w number> 
+
+Windows to open (integer, default 16)
+
+=head2 C<-o ssh_option>
+
+Option to pass to ssh
+
+=head2 C<-f>
+
+Fast, no nmap scan to eliminate sleeping computer
+
+=head2 C<-d delay_time>
+
+When use C<tmux> context,
+add a small delay in second before lauching the second shell
+to let C<tmux> the time to open the window (default 0.8).
+
+=head2 C<-c remote_cmd>
+
+Launch the remote command on hosts and exit
+
+=head2 C<-p>
+
+Launch in parallel (only with option C<-c>) with command parallel or xargs
+
+=head2 C<-v>
+
+Verbose
+
+=head2 C<-h>
+
+Minimal help
+
 
 =head1 CONFIGURATION
@@ -433,4 +407,52 @@
 
 
+=head1 EXAMPLES
+
+=over
+
+=item * Example with the cluster ssh config above:
+
+ tssh all team- node005 laptop04+
+
+Is equivalent to:
+
+ tssh srv-mail srv-dns srv-imap srv-web srv-proxy \\
+   node001 node002 node003 node004 \\
+   node101 node102 node103 node104 \\
+   node005 laptop04
+
+=item * Batch mode with C<tmux>
+
+ tssh -c 'sudo apt-get update' all team
+
+=item * Batch mode with C<parallel> or C<xargs> (without C<tmux>)
+
+ tssh -c 'sudo apt-get update' -p all team
+
+=item * Connexion without the ssh key
+
+ tssh -o '-F /dev/null' all team
+
+=back
+
+
+=head1 DEPENDS
+
+On Debian, you need the package
+
+ apt-get install tmux ncurses-bin wamerican nmap
+
+C<wamerican> (or C<wfrench>...) is used to choose a random word in the file F</usr/share/dict/words>
+for each new tmux session.
+
+C<ncurses-bin> is required for the C<tput> command
+to automatically split your terminal into several small panels.
+C<nmap> is only used for dynamic DNS domain and dynamic scan.
+This is not mandatory for general use.
+
+By default, C<tssh> use C<tput> to know the number of columns and lines of your terminal.
+It takes 10 lines and 40 columns for each windows by default.
+If C<tput> is not installed, the default is 16 windows...
+
 
 =head1 SEE ALSO
@@ -447,4 +469,6 @@
 
 =item * L<SVN repository|http://servforge.legi.grenoble-inp.fr/svn/soft-trokata/trunk/tssh>
+
+=item * L<Download package (Debian)|http://servforge.legi.grenoble-inp.fr/pub/soft-trokata/tssh/download/>
 
 =back
